## Index

### Interfaces

- CurriedFunction1
- CurriedFunction2
- CurriedFunction3
- CurriedFunction4
- CurriedFunction5
- Curry
- CurryRight
- DebounceSettings
- ExplicitPartial
- ExplicitPartialRight
- FunctionBind
- FunctionBindKey
- ImplicitPartial
- ImplicitPartialRight
- LoDashExplicitWrapper
- LoDashImplicitWrapper
- LoDashStatic
- LoDashWrapper
- MemoizedFunction
- Partial
- PartialRight
- RightCurriedFunction1
- RightCurriedFunction2
- RightCurriedFunction3
- RightCurriedFunction4
- RightCurriedFunction5
- ThrottleSettings

### Type aliases

- Function0
- Function1
- Function2
- Function3
- Function4
- __

## Type aliases

### Function0

Function0: function

- Defined in node_modules/@types/lodash/common/function.d.ts:951

#### Type declaration

- - (): R

  - #### Returns R

### Function1

Function1: function

- Defined in node_modules/@types/lodash/common/function.d.ts:952

#### Type declaration

- - (t1: T1): R

  - #### Parameters

    - ##### t1: T1

    #### Returns R

### Function2

Function2: function

- Defined in node_modules/@types/lodash/common/function.d.ts:953

#### Type declaration

- - (t1: T1, t2: T2): R

  - #### Parameters

    - ##### t1: T1

    - ##### t2: T2

    #### Returns R

### Function3

Function3: function

- Defined in node_modules/@types/lodash/common/function.d.ts:954

#### Type declaration

- - (t1: T1, t2: T2, t3: T3): R

  - #### Parameters

    - ##### t1: T1

    - ##### t2: T2

    - ##### t3: T3

    #### Returns R

### Function4

Function4: function

- Defined in node_modules/@types/lodash/common/function.d.ts:955

#### Type declaration

- - (t1: T1, t2: T2, t3: T3, t4: T4): R

  - #### Parameters

    - ##### t1: T1

    - ##### t2: T2

    - ##### t3: T3

    - ##### t4: T4

    #### Returns R

### __

__: LoDashStatic

- Defined in node_modules/@types/lodash/common/function.d.ts:949

The placeholder, to be used in curried functions

Generated using TypeDoc